Bug 172067 - network traffic requires mouse motion (IRQ conflict?)
network traffic requires mouse motion (IRQ conflict?)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-30 09:10 EST by Eli
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli 2005-10-30 09:10:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
I noticed that networking wasn't working sometimes, and it took a while to figure out why I was getting network timeouts when other systems on the network weren't having problems.  As it turns out, as long as I'm moving the mouse, network traffic works, but if I stop moving the mouse, network traffic backs up.
This can be most clearly seen by running ping to another host; it will sit there showing no responses until you move the mouse, then the packets are picked up, and the (high) latency calculated.
USB mouse, built-in ethernet e100 in a Toshiba Satellite notebook.
I had to fall all the way back to 2.6.12-1.1372_FC3 since every kernel since then has had some major problem.

Let me know what information you need to debug this.


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1381_FC3

How reproducible:
Sometimes

Steps to Reproduce:
1. Use the computer to surf the web, etc.
2. (Maybe suspend; I haven't excluded that factor yet.)
3.
  

Actual Results:  Network traffic backs up until you move the external USB mouse

Expected Results:  The network should not require mouse movement to keep the packets moving.

Additional info:

I ran 'find /proc/irq' under 1381 and 1372 for comparison.  It appears that the USB and network share an interrupt in both cases.  Is there something more I should be looking for?

$ cat 2.6.12-1.1381_FC3.irqlist 
/proc/irq/
/proc/irq/15
/proc/irq/15/ide1
/proc/irq/14
/proc/irq/14/ide0
/proc/irq/13
/proc/irq/12
/proc/irq/12/i8042
/proc/irq/11
/proc/irq/11/uhci_hcd:usb3
/proc/irq/11/ehci_hcd:usb1
/proc/irq/11/eth0
/proc/irq/11/yenta
/proc/irq/11/Intel 82801DB-ICH4
/proc/irq/11/Intel 82801DB-ICH4 Modem
/proc/irq/10
/proc/irq/10/uhci_hcd:usb2
/proc/irq/10/i915@pci:0000:00:02.0
/proc/irq/9
/proc/irq/9/acpi
/proc/irq/8
/proc/irq/8/rtc
/proc/irq/7
/proc/irq/6
/proc/irq/5
/proc/irq/4
/proc/irq/3
/proc/irq/2
/proc/irq/1
/proc/irq/1/i8042
/proc/irq/0

$ cat 2.6.12-1.1372_FC3.irqlist 
/proc/irq
/proc/irq/15
/proc/irq/15/ide1
/proc/irq/14
/proc/irq/14/ide0
/proc/irq/13
/proc/irq/12
/proc/irq/12/i8042
/proc/irq/11
/proc/irq/11/eth0
/proc/irq/11/yenta
/proc/irq/11/uhci_hcd:usb3
/proc/irq/11/ehci_hcd:usb1
/proc/irq/11/Intel 82801DB-ICH4 Modem
/proc/irq/11/Intel 82801DB-ICH4
/proc/irq/10
/proc/irq/10/uhci_hcd:usb2
/proc/irq/9
/proc/irq/9/acpi
/proc/irq/8
/proc/irq/8/rtc
/proc/irq/7
/proc/irq/6
/proc/irq/5
/proc/irq/4
/proc/irq/3
/proc/irq/2
/proc/irq/1
/proc/irq/1/i8042
/proc/irq/0
Comment 1 Dan Carpenter 2005-10-30 11:05:28 EST
Make sure the ethernet cable is seated correctly.  Perhaps the moving the mouse
just changes the connection to the ethernet cable.

Does it work if you disconnect the mouse altegether?

Can you paste the output from `lsmod` and `dmesg -s 120000`?

Comment 2 Eli 2005-10-30 20:23:50 EST
I tried re-seating the ethernet cable; no change.  Disconnecting the mouse
doesn't change things... the network stays backed up.
I'll post the rest after a reboot.
Comment 3 Eli 2005-10-30 20:57:53 EST
Ok, it looks like this is sleep/suspend related.  The network was ok, until I
ran 'echo 3 >/proc/acpi/sleep' and then woke the machine up.

lsmod and dmesg output as well as a detailed description of what I did are
below.  Let me know if there is anything I can try to help diagnose this.

Under kernel 2.6.12-1.1381_FC3 lsmod gives:
Module                  Size  Used by
i915                   18753  1 
drm                    68949  2 i915
parport_pc             28293  0 
lp                     12873  0 
parport                40073  2 parport_pc,lp
sunrpc                164229  1 
pcmcia                 28897  2 
ipt_REJECT              5441  1 
ipt_state               1857  2 
ip_conntrack           41369  1 ipt_state
iptable_filter          2881  1 
ip_tables              19521  3 ipt_REJECT,ipt_state,iptable_filter
dm_mod                 57333  0 
video                  15685  0 
toshiba_acpi            5845  0 
button                  4033  0 
battery                 9285  0 
ac                      4805  0 
md5                     4033  1 
ipv6                  263105  10 
yenta_socket           21705  1 
rsrc_nonstatic         12737  1 yenta_socket
pcmcia_core            50013  3 pcmcia,yenta_socket,rsrc_nonstatic
uhci_hcd               35025  0 
ehci_hcd               40013  0 
i2c_i801                8653  0 
i2c_core               21313  1 i2c_i801
snd_intel8x0m          19333  0 
snd_intel8x0           34177  0 
snd_ac97_codec         74937  2 snd_intel8x0m,snd_intel8x0
snd_pcm_oss            50673  0 
snd_mixer_oss          17729  1 snd_pcm_oss
snd_pcm                98889  4 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pc
m_oss
snd_timer              32837  1 snd_pcm
snd                    57285  7 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pc
m_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              10785  1 snd
snd_page_alloc          9669  3 snd_intel8x0m,snd_intel8x0,snd_pcm
e100                   48705  0 
mii                     5569  1 e100
joydev                  9345  0 
ext3                  130633  3 
jbd                    83161  1 ext3

I booted, logged in on the console as root, pinged a host on the network without
a problem, closed the lid, the system did not go to sleep, opened the lid, then
'echo 3 > /proc/acpi/sleep', the system went to sleep, tapped the power button
to wake it up, then tried to ping the same host on the network.  That ping would
sit there doing nothing until I did something, anything, with the mouse.  Move
the mouse, scroll the wheel, whatever, at which point I would see ping react to
traffic.
And the dmesg output after all of that gives:

Linux version 2.6.12-1.1381_FC3 (bhcompile@porky.build.redhat.com) (gcc version
3.4.4 20050721 (Red Hat 3.4.4-2)) #1 Fri Oct 21 03:46:55 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 00000000000eee00 (reserved)
 BIOS-e820: 00000000000eee00 - 00000000000ef000 (ACPI NVS)
 BIOS-e820: 00000000000ef000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000002ef40000 (usable)
 BIOS-e820: 000000002ef40000 - 000000002ef50000 (ACPI data)
 BIOS-e820: 000000002ef50000 - 000000002f000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fec10000 - 00000000fec20000 (reserved)
 BIOS-e820: 00000000feda0000 - 00000000fedc0000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffb00000 - 00000000ffc00000 (reserved)
 BIOS-e820: 00000000ffe80000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
751MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 192320
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 188224 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
ACPI: RSDP (v000 TOSHIB                                ) @ 0x000f0180
ACPI: RSDT (v001 TOSHIB 750      0x00970814 TASM 0x04010000) @ 0x2ef40000
ACPI: FADT (v002 TOSHIB 750      0x20030101 TASM 0x04010000) @ 0x2ef40060
ACPI: SSDT (v001 TOSHIB A000C    0x20030917 MSFT 0x0100000e) @ 0x2ef402ca
ACPI: DBGP (v001 TOSHIB 750      0x00970814 TASM 0x04010000) @ 0x2ef400e4
ACPI: BOOT (v001 TOSHIB 750      0x00970814 TASM 0x04010000) @ 0x2ef40038
ACPI: MADT (v001 TOSHIB 750      0x00970814 TASM 0x04010000) @ 0x2ef40118
ACPI: DSDT (v001 TOSHIB A000C    0x20031216 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0xd808
Allocating PCI resources starting at 2f000000 (gap: 2f000000:cfc00000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/1 rhgb
Initializing CPU#0
CPU 0 irqstacks, hard=c0447000 soft=c0446000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 2593.941 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 757740k/769280k available (2451k kernel code, 10984k reserved, 693k
data, 180k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 5144.57 BogoMIPS (lpj=2572288)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfebfbff 00000000 00000000 00000000 00004400
00000000 00000000
CPU: After vendor identify, caps: bfebfbff 00000000 00000000 00000000 00004400
00000000 00000000
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 128K
CPU: After all inits, caps: bfebf3ff 00000000 00000000 00000080 00004400
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU: Intel(R) Celeron(R) CPU 2.60GHz stepping 09
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 0e00)
checking if image is initramfs... it is
Freeing initrd memory: 394k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfd2fe, last bus=3
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050902
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Interrupt Link [LNKA] (IRQs *10)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 *11)
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
ACPI: Assume root bridge [\_SB_.PCI0] segment is 0
ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
Boot video device is 0000:00:02.0
PCI: Enabled i801 SMBus device
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
ACPI: Power Resource [PFAN] (off)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 10 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
Simple Boot Flag at 0x7c set to 0x1
apm: BIOS not found.
audit: initializing netlink socket (disabled)
audit(1130701426.855:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key DA130D81657437A9
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Fan [FAN] (off)
ACPI: CPU0 (power states: C1[C1] C2[C2])
ACPI: Thermal Zone [THRM] (50 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel 855 Chipset.
agpgart: Detected 16252K stolen memory.
agpgart: AGP aperture is 128M @ 0xd8000000
PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
PCI: Enabling device 0000:00:1f.6 (0000 -> 0001)
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt for device 0000:00:1f.6 disabled
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH4: IDE controller at PCI slot 0000:00:1f.1
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 11
ICH4: chipset revision 3
ICH4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xbfa0-0xbfa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xbfa8-0xbfaf, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: TOSHIBA MK4025GAS, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: HL-DT-STCD-RW/DVD DRIVE GCC-4241N, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 78140160 sectors (40007 MB), CHS=65535/16/63, UDMA(100)
hda: cache flushes supported
 hda: hda1 hda2 hda3 hda4 < hda5 >
hdc: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 2048 buckets, 64Kbytes
TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
TCP bind hash table entries: 65536 (order: 8, 1835008 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
ACPI wakeup devices: 
VIY0 USB1 USB2 USB4 AMDM  LID PWRB 
ACPI: (supports S0 S3 S4 S5)
Freeing unused kernel memory: 180k freed
input: AT Translated Set 2 keyboard on isa0060/serio0
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: PS/2 Mouse on isa0060/serio1
input: AlpsPS/2 ALPS GlidePoint on isa0060/serio1
security:  3 users, 4 roles, 343 types, 30 bools
security:  55 classes, 14891 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev hda3, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), not configured for labeling
SELinux: initialized (dev hugetlbfs, type hugetlbfs), not configured for labeling
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
Floppy drive(s): fd0 is 1.44M
floppy0: no floppy controllers found
e100: Intel(R) PRO/100 Network Driver, 3.4.8-k2-NAPI
e100: Copyright(c) 1999-2005 Intel Corporation
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 11
ACPI: PCI Interrupt 0000:01:08.0[A] -> Link [LNKE] -> GSI 11 (level, low) -> IRQ 11
e100: eth0: e100_probe: addr 0xcffff000, irq 11, MAC addr 00:08:0D:57:63:CA
PCI: Enabling device 0000:00:1f.5 (0000 -> 0003)
ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1f.5 to 64
intel8x0_measure_ac97_clock: measured 49342 usecs
intel8x0: clocking to 48000
ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1f.6 to 64
hw_random: RNG not detected
PCI: Enabling device 0000:00:1d.7 (0000 -> 0002)
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 11
ACPI: PCI Interrupt 0000:00:1d.7[D] -> Link [LNKH] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: debug port 1
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1d.7: irq 11, io mem 0x2f080000
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 initialized, EHCI 1.00, driver 10 Dec 2004
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 6 ports detected
USB Universal Host Controller Interface driver v2.2
SELinux: initialized (dev debugfs, type debugfs), not configured for labeling
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10
PCI: setting IRQ 10 as level-triggered
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.0: irq 10, io base 0x0000cfe0
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.1: irq 11, io base 0x0000cf80
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb 3-1: new low speed USB device using uhci_hcd and address 2
input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.1-1
Linux Kernel Card Services
  options:  [pci] [cardbus] [pm]
PCI: Enabling device 0000:01:0b.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:01:0b.0[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 11
Yenta: CardBus bridge found at 0000:01:0b.0 [1179:0001]
Yenta: ISA IRQ mask 0x00b8, PCI irq 11
Socket status: 30000007
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
Disabled Privacy Extensions on device c03d6120(lo)
IPv6 over IPv4 tunneling driver
ACPI: AC Adapter [ADP1] (on-line)
ACPI: Battery Slot [BAT1] (battery present)
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID]
ACPI: Power Button (CM) [PWRB]
ibm_acpi: ec object not found
toshiba_acpi: Toshiba Laptop ACPI Extras version 0.18
toshiba_acpi:     HCI method: \_SB_.VALZ.GHCI
ACPI: Video Device [VGA] (multi-head: yes  rom: yes  post: no)
EXT3 FS on hda3, internal journal
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda5, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda5, type ext3), uses xattr
Adding 819304k swap on /dev/hda2.  Priority:-1 extents:1
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
pnp: Evaluate _CRS failed
pnp: Failed to activate device 00:08.
parport_pc: probe of 00:08 failed with error -5
ieee1394: Initialized config rom entry `ip1394'
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (6010 buckets, 48080 max) - 272 bytes per conntrack
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0x100-0x4ff: excluding 0x1e0-0x1e7 0x4d0-0x4d7
cs: IO port probe 0xa00-0xaff: clean.
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
eth0: no IPv6 routers present
parport_pc: probe of 00:08 failed with error -16
lp: driver loaded but no devices found
[drm] Initialized drm 1.0.0 20040925
ACPI: PCI Interrupt 0000:00:02.0[A] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
[drm] Initialized i915 1.1.0 20040405 on minor 0: 
[drm] Initialized i915 1.1.0 20040405 on minor 1: 
mtrr: base(0xd8020000) is not aligned on a size(0x300000) boundary
Stopping tasks: ===========================================|
ACPI: PCI interrupt for device 0000:01:0b.0 disabled
ACPI: PCI interrupt for device 0000:01:08.0 disabled
ACPI: PCI interrupt for device 0000:00:1f.6 disabled
ACPI: PCI interrupt for device 0000:00:1f.5 disabled
ACPI: PCI interrupt for device 0000:00:1d.7 disabled
ACPI: PCI interrupt for device 0000:00:1d.1 disabled
ACPI: PCI interrupt for device 0000:00:1d.0 disabled
ACPI: 1 drivers with interrupt 10 neglected to call pci_disable_device at .suspend
ACPI: Fix the driver, or rmmod before suspend
ACPI: 1 drivers with interrupt 11 neglected to call pci_disable_device at .suspend
ACPI: Fix the driver, or rmmod before suspend
Back to C!
ACPI: PCI Interrupt 0000:00:02.0[A] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:00:1d.0 to 64
PCI: Setting latency timer of device 0000:00:1d.0 to 64
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.1 to 64
PCI: Setting latency timer of device 0000:00:1d.1 to 64
ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link [LNKD] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt 0000:00:1d.7[D] -> Link [LNKH] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 restarted, EHCI 1.00, driver 10 Dec 2004
ACPI: PCI Interrupt 0000:00:1d.7[D] -> Link [LNKH] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1f.5 to 64
ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1f.6 to 64
ACPI: PCI Interrupt 0000:01:0b.0[A] -> Link [LNKC] -> GSI 11 (level, low) -> IRQ 11
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
Restarting tasks... done
usb 3-1: USB disconnect, address 2
usb 3-1: new low speed USB device using uhci_hcd and address 3
input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.1-1
Comment 4 Eli 2005-10-30 21:19:46 EST
I did a little more experimenting.  I tried 'rmmod e100' before suspending, and
then 'modprobe e100' after waking the computer up.  After an 'ifdown eth0; ifup
eth0' things worked like they are suppose to.  However, I still saw 
ACPI: 1 drivers with interrupt 11 neglected to call pci_disable_device at .suspend
ACPI: Fix the driver, or rmmod before suspend
I tried rmmod'ing everything except 'yenta' and suspended and still got that. 
Actually, I think I got that line, then:
ACPI: -1 drivers with interrupt 11 neglected to call pci_disable_device at .suspend
ACPI: Fix the driver, or rmmod before suspend
So I'm not sure how much that tells us.
If I get a chance, I'll try to grep the source, but that'll have to wait for
another night.
Comment 5 Dan Carpenter 2005-11-01 15:28:21 EST
I think you may have a similar issue to bug 150220

Their bug was reported first and they are using more recent kernels.

Comment 6 Dave Jones 2006-01-16 17:20:36 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 7 Dave Jones 2006-02-03 02:17:51 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Thacker 2006-05-04 21:50:08 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.